import 'package:flutter/material.dart';
import 'package:login_screen/bottomnavigationbar/page1.dart';
import 'package:login_screen/bottomnavigationbar/page2.dart';
import 'package:login_screen/bottomnavigationbar/page3.dart';
import 'package:login_screen/bottomnavigationbar/page4.dart';
import 'package:login_screen/bottomnavigationbar/page5.dart';

class NavBar4 extends StatefulWidget {
  const NavBar4({Key? key}) : super(key: key);

  @override
  State<NavBar4> createState() => _NavBar4State();
}

class _NavBar4State extends State<NavBar4> {
  int _selectedIndex = 0;
  List pages = [
    const Page1(),
    const Page2(),
    const Page3(),
    const Page4(),
    const Page5(),
  ];
  List labels=[
    'Home',
    'Search',
    'Message',
    'Cart',
    'Profile'
  ];
  List icon=[
    Icons.home,
    Icons.search,
    Icons.message,
    Icons.shopping_cart,
    Icons.person
  ];
  void onTapNav(int index) {
    setState(() {
      _selectedIndex = index;
    });
  }

  @override
  Widget build(BuildContext context) {
    Size screenSize = MediaQuery.of(context).size;
    const myColor=Colors.teal;
    return Scaffold(

      body: pages[_selectedIndex],
      bottomNavigationBar: Row(// Distribute items evenly
        children: List.generate(
          labels.length,
              (index) {
            return InkWell(
              onTap: (){onTapNav(index);},
              child: AnimatedContainer(
                height:60 ,
                decoration: _selectedIndex==index?BoxDecoration(
                  gradient: LinearGradient(
                    begin: Alignment.topCenter,
                      end: Alignment.bottomCenter,
                      colors: [myColor.withOpacity(.1),myColor.shade800,myColor.shade800]
                  )
                ):BoxDecoration(),
                width: _selectedIndex==index?screenSize.width*.28:screenSize.width*.18,
                duration: Duration(milliseconds: 300),
                child: Column(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    Icon(icon[index],
                      color: _selectedIndex==index?Colors.white:myColor,
                      size: _selectedIndex==index?35:35,
                    ),
                    Text('${labels[index]}',style: TextStyle(color: _selectedIndex==index?Colors.white:myColor,),)// Add spacing between icon and text

                  ],
                ),
              ),
            );
          },
        ),
      ),
    );
  }


}
